Subject: Re: bug#47313: 27.1; highlight functions should accept colors too

From: scame <[email-masked]>
Date: Mon, 22 Mar 2021 17:44:40 +0000

>
> I'm not sure it is a good idea to make these commands accept both
> faces and colors, as this could make the UI confusing and error prone.
> It may be better to provide new commands, similar to the existing
> ones, but which will accept only the colors instead of faces.

I thought people only used colors to temporarily highlight certain phrases,
etc. If it's not true then you have a point that faces can do more.

At least, the face completion prompt should be improved, so that it shows
the face's style inline like with list-faces-display.This could solve
the color selection problem, because if the face's style is instantly
visible then the user can simply choose a face which is similar to the
color he wants.